package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuGeneracionAutomaticaTramoRuta extends DefaultItemMenuSistema {

	public ItemMenuGeneracionAutomaticaTramoRuta() {
		super("indexController.mniGeneracionAutomaticaTramosRutas");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.ESQUEMAOPERACIONAL.MENU.GENERACION_AUTOMATICA_TRAMO_RUTA";
	}

	@Override
	public void ejecutar() {
		PantallaUtileria.openWindow("/gui/esquema_operacional/generacion_tramo_ruta/editarTramoRuta.zul",
                Labels.getLabel("editarTramoRutaController.window.title"), getArgs(), desktop);
		
	}

}
